import React, { useState, useEffect } from 'react';
import { csv } from 'd3';

const csvUrl =
  'https://gist.githubusercontent.com/yyaaa1/2a71bdf8de2d1fb6bcf02ee19e2d7322/raw/6fe8a7e75aa3a9afa3d8239411019c9d47aa962e/gistfile2.txt'

export const useData = () => {
  const [data, setData] = useState(null);

  useEffect(() => {
    const row = d => {
      d.violent_crime = +d.violent_crime;
      d.homs_sum = +d.homs_sum;
      d.rape_sum = +d.rape_sum;
      d.rob_sum = +d.rob_sum;
      return d;
    };
    csv(csvUrl, row).then(setData);
  }, []);
  
  return data;
};